# (ngompa): Don't erase RPATHs for internal libs
%define _cmake_skip_rpath %nil

# Release value outside of snapshot ver
%define rel 7

# Don't ship updater applet, since it is broken
%bcond_with applet

# Snapshot date
#global snap 20170226

Name:		apper
Summary:	KDE interface for PackageKit
Group:		System/Packaging
License:	GPLv2+
Version:	1.0.0
Release:	%mkrel %{?snap:0.%{rel}.%{snap}}%{!?snap:%{rel}}
URL:		https://userbase.kde.org/Apper
%if 0%{?snap:1}
Source0:	apper-%{version}-%{snap}git.tar.xz
%else
Source0:	http://download.kde.org/stable/apper/%{version}/%{name}-%{version}.tar.xz
%endif
Patch0:		apper-1.0.0-fix-build-against-qt-5.11.0.patch
Patch1:		apper-1.0.0-git-build-against-qt-5.14.patch
Patch2:		apper-1.0.0-fix-build-against-qt-5.15.patch

BuildRequires:	desktop-file-utils
BuildRequires:	chrpath
BuildRequires:	gettext
BuildRequires:  cmake(AppStreamQt)
BuildRequires:	cmake(KDED)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KCMUtils)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(LibKWorkspace)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Sql)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5XmlPatterns)
BuildRequires:	kf5-macros

BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(packagekitqt5)

Requires:	packagekit

# Software updater plasmoid for Plasma 5
Requires:	plasma-pk-updates

# Equivalent provider to gnome-software and other PK frontends
Provides:	packagekit-gui

%description
KDE interface for PackageKit.

%files -f %{name}.lang -f plasma_applet_org.packagekit.updater.lang
%doc TODO
%license COPYING
%{_kf5_bindir}/apper
%{_kf5_datadir}/apper/
%{_kf5_datadir}/applications/org.kde.apper.desktop
%{_kf5_datadir}/applications/org.kde.apper_installer.desktop
%{_kf5_datadir}/applications/org.kde.apper_settings.desktop
%{_kf5_datadir}/applications/org.kde.apper_updates.desktop
%{_kf5_libdir}/apper/
%{_libexecdir}/apper-pk-session
%{_kf5_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
%{_qt5_plugindir}/kded_apperd.so
%{_kf5_services}/kded/apperd.desktop
%{_kf5_datadir}/apperd/
%{_kf5_mandir}/man1/apper.1*
%{_kf5_metainfodir}/org.kde.apper.appdata.xml

#--------------------------------------------------------------------

%if %{with applet}
%package updater
Summary:	Plasma updater applet for Apper
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description updater
This package provides the Plasma applet for Apper.

%files updater
%{_kf5_services}/plasma-applet-org.packagekit.updater.desktop
%{_kf5_datadir}/plasma/plasmoids/org.packagekit.updater/
%endif
#--------------------------------------------------------------------

%prep
%autosetup -p1

# disable update applet by default
sed -i \
  -e 's|X-KDE-PluginInfo-EnabledByDefault=.*|X-KDE-PluginInfo-EnabledByDefault=false|g' \
    plasmoid/package/metadata.desktop

%build
# PackageKit-Dnf doesn't yet support autoremove from frontends
%cmake_kf5 -DAUTOREMOVE:BOOL=OFF
%cmake_build

%install
%cmake_install

desktop-file-install \
		     --dir %{buildroot}%{_kf5_datadir}/applications \
		     --remove-mime-type='application/x-deb' \
		     %{buildroot}%{_kf5_datadir}/applications/*.desktop

# hack around rpath oddness
chrpath --list %{buildroot}%{_kf5_bindir}/apper
chrpath --replace %{_kf5_libdir}/apper %{buildroot}%{_kf5_bindir}/apper

# hack around gnome-packagekit conflict
# (cg) Note that this is a rubbish hack: While the files names may no longer
# conflict they are still trying to bus-activate the same service. This can
# never work properly when you have both installed anyway, so it's probably
# better to have the packages conflict IMO.
mv %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service \
  %{buildroot}%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service

%if ! %{with applet}
# Remove applet files
rm -fv %{buildroot}%{_kf5_datadir}/kservices5/plasma-applet-org.packagekit.updater.desktop
rm -rfv %{buildroot}%{_kf5_datadir}/plasma/plasmoids/org.packagekit.updater
%endif

%find_lang %{name} --with-man
%find_lang plasma_applet_org.packagekit.updater


%changelog
* Wed Aug 19 2020 martinw <martinw> 1.0.0-7.mga8
+ Revision: 1615858
- fix build against Qt 5.15

* Thu May 28 2020 daviddavid <daviddavid> 1.0.0-6.mga8
+ Revision: 1588589
- switch appdata file to kf5_metainfo dir

* Sat Mar 14 2020 danf <danf> 1.0.0-5.mga8
+ Revision: 1556164
- Add build-against-qt-5.14.patch to fix compile
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Mar 29 2019 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1381247
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1294466
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.0.0-2.mga7
+ Revision: 1244729
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Mar 23 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1211548
- Added BR for cmake(AppStreamQt)
- Fixed file list
- Find languages
- Update to version 1.0.0
- Fixed Source0 URL

* Thu Mar 16 2017 ngompa <ngompa> 0.9.3-0.2.20170226.mga6
+ Revision: 1092970
- Update to new snapshot, drop upstream patches
- Drop unnecessary theming patch since rendering issues are fixed

* Sat Mar 04 2017 ngompa <ngompa> 0.9.3-0.1.20161109.mga6
+ Revision: 1088719
- Update to KF5-ized snapshot of 0.9.3
+ neoclust <neoclust>
- Try to build w/o kde workspace

* Fri Jun 24 2016 ngompa <ngompa> 0.9.2-1.mga6
+ Revision: 1037453
- Update to 0.9.2, disable functionality that doesn't work in Plasma 5

* Sat Feb 13 2016 umeabot <umeabot> 0.9.1-3.mga6
+ Revision: 959518
- Mageia 6 Mass Rebuild

* Wed Jun 10 2015 anaselli <anaselli> 0.9.1-2.mga6
+ Revision: 822967
- Changed library installation dir to make it available into kde systemsetting

* Thu Nov 13 2014 fwang <fwang> 0.9.1-1.mga5
+ Revision: 796737
- drop invalid file
- register metatypes
- add def
- Fix dependency on gee
- 0.9.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Aug 07 2014 fwang <fwang> 0.9.0-1.mga5
+ Revision: 660743
- 0.9.0

* Wed Apr 23 2014 fwang <fwang> 0.8.2-1.mga5
+ Revision: 617489
- update file list
- 0.8.2

* Wed Feb 05 2014 neoclust <neoclust> 0.8.1-4.mga5
+ Revision: 583859
- Disable autoload of apper by default ( mga#12481 )

* Mon Jan 27 2014 colin <colin> 0.8.1-3.mga4
+ Revision: 568389
- Work around mga#12357 (unable to find libapper.so)

* Sat Oct 19 2013 umeabot <umeabot> 0.8.1-2.mga4
+ Revision: 530886
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.8.1-1.mga4
+ Revision: 460920
- update file list
- update file list
- bump req
- new version 0.8.1

* Mon Jan 21 2013 malo <malo> 0.8.0-3.mga3
+ Revision: 390332
- updated RPM group

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 345957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tv <tv> 0.8.0-1.mga3
+ Revision: 343562
- new release

* Sat Dec 01 2012 fwang <fwang> 0.8.0-0.20121201.1.mga3
+ Revision: 323941
- new snapshot
- drop polkit br
- rebuild for new pk-qt
+ tv <tv>
- rebuild for new pk

* Mon Jun 04 2012 fwang <fwang> 0.7.2-1.mga3
+ Revision: 253901
- new version 0.7.2

* Tue Feb 21 2012 juancho <juancho> 0.7.1-1.mga2
+ Revision: 211534
- Updated to 0.7.1
- Added missing BR kdebase4-workspace-devel
- Rediffed patch revert-upstream.diff for 0.7.1 as apper-0.7.1-mga-revert_upstream.diff to follow patch naming standards

* Sun Oct 16 2011 dmorgan <dmorgan> 0.7.0-2.mga2
+ Revision: 155462
- Fix loading of apper ( patch from OpenSuse) (mga #3023)

* Tue Oct 11 2011 fwang <fwang> 0.7.0-1.mga2
+ Revision: 153923
- update file list
- update file list
- new version 0.7.0
- Created package structure for apper.

